// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    src: '/image/team.png',
    frameStyle: { useTop: true, name: '我的团队', leftArrow: false, useBar: true },
    // 主体高度
    infoHeight: '',
    list: [
      {
        id: '1', head: '/image/head1.png', group: '哈拉海队', time: '08:30', date: '2022.01.15', person: '10',Founder:'XXX'
      },
      {
        id: '1', head: '/image/head1.png', group: '哈拉海队', time: '08:30', date: '2022.01.15', person: '10',Founder:'XXX'
      },
      {
        id: '1', head: '/image/head1.png', group: '哈拉海队', time: '08:30', date: '2022.01.15', person: '10',Founder:'XXX'
      },
      {
        id: '1', head: '/image/head1.png', group: '哈拉海队', time: '08:30', date: '2022.01.15', person: '10',Founder:'XXX'
      },
    ],
  },
  tabPath(e) {
    let query = e.detail.detail;
    if (query) wx.redirectTo({ url: `/pages/${query}/index` })
  },
  tiao: function () {
    wx.navigateTo({
      url: '/pages/team/examine',
    })
  },
  jump: function () {
    wx.navigateTo({
      url: '/pages/team/apply',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})